import { Dcomm } from "dcomm/dist"
import { DVMAPI } from "dcomm/dist/apis/dvm"

const ip: string = "localhost"
const port: number = 9650
const protocol: string = "http"
const networkID: number = 1337
const dcomm: Dcomm = new Dcomm(ip, port, protocol, networkID)
const astchain: DVMAPI = dcomm.ASTChain()

const main = async (): Promise<any> => {
  const address: string = "AST-custom18jma8ppw3nhx5r4ap8clazz0dps7rv5u9xde7p"
  const balances: object[] = await astchain.getAllBalances(address)
  console.log(balances)
}

main()
